%define oname   uuid

Name:       ruby-%{oname}
Version:    2.3.6
Release:    %mkrel 2
Summary:    Generates universally unique identifiers (UUIDs) for use in distributed applications
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/assaf/uuid
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     ruby-uuid-2.3.6-fix-version.patch
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 3.1
BuildArch:  noarch

%description
Generates universally unique identifiers (UUIDs) for use in distributed
applications.

Based on RFC 4122.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%apply_patches
sed -i "s,@@VERSION@@,%{version}," lib/%{oname}.rb

%build
%gem_build

%install
%gem_install

# (cg) No need to ship license as per our policy
rm -f %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/MIT-LICENSE

# (cg) Rename generic binary to avoid potential conflicts with other pkgs.
mv %{buildroot}%{_bindir}/uuid %{buildroot}%{_bindir}/%{name} 

%files
%{_bindir}/%{name}
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc


%changelog

* Fri Feb 08 2013 fwang <fwang> 2.3.6-2.mga3
+ Revision: 396900
- rebuild for new rdoc

* Sun Jan 20 2013 colin <colin> 2.3.6-1.mga3
+ Revision: 390089
- Fix summary
- imported package ruby-uuid

